<div class="register-page" fxLayout="row" fxLayout.xs="column" fxLayoutAlign="center" fxLayoutGap="30px">
    <div class="logo-container" fxFlexAlign="center">
        <!-- <app-logo></app-logo> -->
        <img [src]="APP" style="width:110%" alt="">
    </div>
    <mat-card fxFlexAlign="center">
        <mat-card-title>
            Register to NKF Demo
        </mat-card-title>
        <mat-card-content>
            <form (keyup.enter)="register()">
                <mat-form-field class="register-field">
                    <input matInput placeholder="First Name" name="firstName" [(ngModel)]="firstName"
                        autocomplete="firstName" required/>
                </mat-form-field>
                <mat-form-field class="register-field">
                    <input matInput placeholder="Last Name" name="lastName" [(ngModel)]="lastName"
                        autocomplete="lastName" required/>
                </mat-form-field>
                <mat-form-field class="register-field">
                    <input matInput placeholder="Email" name="email" [(ngModel)]="email" type="email"
                        autocomplete="email" required />
                </mat-form-field>
            </form>
            <mat-error [textContent]="errorMessage"></mat-error>
        </mat-card-content>
        <mat-card-actions>
            <button mat-raised-button color="primary" class="register-button" (click)="register()"
                type="submit">
                Register
            </button>
            <!-- <mat-spinner></mat-spinner> -->
            <button mat-raised-button color="primary" class="register-button" (click)="back()"
                type="submit">
                Back
            </button>
            <!-- <mat-slide-toggle [(ngModel)]="isDemo">
                Demo
            </mat-slide-toggle> -->
        </mat-card-actions>
    </mat-card>
</div>
